/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.transacted;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

import org.objectweb.util.monolog.api.BasicLevel;

/**
 * Entity bean with container managed persistence version 1.
 */
public class SimpleEC extends SimpleEC2 implements EntityBean {

    protected EntityContext entityContext;

    // Bean state (CMP v1)
    public String accno;	// PK
    public String customer;
    public long balance;
    public int timerIdent;
    public int timerCount;

    // Accessors and setters implementation
    public String getAccno() {
        return this.accno;
    }
    public void setAccno(String accno) {
        this.accno = accno;
    }
    public String getCustomer() {
        return this.customer;
    }
    public void setCustomer(String customer) {
        this.customer = customer;
    }
    public long getBalance() {
        return this.balance;
    }
    public void setBalance(long balance) {
        this.balance = balance;
    }

    public int getTimerIdent() {
        logger.log(BasicLevel.DEBUG, "");
        return timerIdent;
    }

    public void setTimerIdent(int id) {
        logger.log(BasicLevel.DEBUG, "");
        timerIdent = id;
    }

    public int getTimerCount() {
        logger.log(BasicLevel.DEBUG, "");
        return timerCount;
    }

    public void setTimerCount(int cnt) {
        logger.log(BasicLevel.DEBUG, "");
        timerCount = cnt;
    }
	
 	
}
